OpenAPI 3.0.3

API & MCP

Integrați ChatReact în aplicațiile dumneavoastră. API REST complet cu explorer interactiv și exemple de cod.

REST & MCP API

API REST complet plus Model Context Protocol pentru asistenți AI

Autentificare securizată

Chei API cu prefixul cr_ pentru control de acces securizat

OpenAPI 3.0

Specificație completă de descărcat – pentru Postman, codegen și SDK-urile dvs.

Limitare a ratelor

30 req/min pentru REST API, 60 req/min pentru MCP și widget

Pornire rapidă

example.js
// Send the first message; the response supplies sessionId.
const response = await fetch('/api/widget/{chatbotId}/chat', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({ message: 'Hello, I need help!', language: 'en' })
});

const { sessionId } = await response.json();

// Continue the same conversation.
await fetch('/api/widget/{chatbotId}/chat', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({
    sessionId,
    message: 'Can you explain that in more detail?',
    language: 'en'
  })
});

Autentificare

REST v1 și MCP folosesc o cheie API de companie. Nu expuneți niciodată o cheie secretă într-un widget public pe site. Exemplul de chat de mai sus folosește endpointul public al widgetului.

Authorization: Bearer cr_your_api_key_here